## org.eclipse.e4.xwt.converters
Class DateToString

    java.lang.Object
      org.eclipse.e4.xwt.converters.ObjectToString
          org.eclipse.e4.xwt.converters.DateToString

All Implemented Interfaces:
  org.eclipse.core.databinding.conversion.IConverter

    public class DateToString

extends ObjectToString

Date to String converter

Author:
  yyang

Field Summary
`static DateToString` `instance`

Constructor Summary
`DateToString()`

Method Summary
`java.lang.Object` `convert(java.lang.Object fromObject)`
`java.lang.Object` `getFromType()`
`java.lang.Object` `getToType()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static DateToString instance

Constructor Detail

### DateToString

    public DateToString()

Method Detail

### convert

    public java.lang.Object convert(java.lang.Object fromObject)

  Specified by:
    `convert` in interface `org.eclipse.core.databinding.conversion.IConverter`
  Overrides:
    `convert` in class `ObjectToString`

### getFromType

    public java.lang.Object getFromType()

  Specified by:
    `getFromType` in interface `org.eclipse.core.databinding.conversion.IConverter`
  Overrides:
    `getFromType` in class `ObjectToString`

### getToType

    public java.lang.Object getToType()

  Specified by:
    `getToType` in interface `org.eclipse.core.databinding.conversion.IConverter`
  Overrides:
    `getToType` in class `ObjectToString`